commit: a2e621c96426469f90731d89dfe8b1a904311fd0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 13 07:02:51 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 13 07:02:51 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2e621c9
dev-ruby/localhost: fix tests using /tmp
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/localhost/localhost-1.5.0.ebuild | 3 +++
1 file changed, 3 insertions(+)
diff --git a/dev-ruby/localhost/localhost-1.5.0.ebuild
b/dev-ruby/localhost/localhost-1.5.0.ebuild
index edb16787fa13..63bfc0fe8420 100644
--- a/dev-ruby/localhost/localhost-1.5.0.ebuild
+++ b/dev-ruby/localhost/localhost-1.5.0.ebuild
@@ -30,6 +30,9 @@ all_ruby_prepare() {
sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/covered/Id' config/sus.rb || die
+ sed -e "s:/tmp/state:${TMP}/state:" \
+ -i test/localhost/state.rb || die
+
# Avoid unpackaged sus-fixtures-async-http which has a huge dependency
tree.
rm -f test/localhost/protocol.rb || die
}